Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Query Information of Multiple Onsite Proxy Instances

Query the detailed information of multiple Onsite Proxy instances at the same time.

Request URL

GET {base_url}/{api_path}/onsiteproxy/query?access_token={access_token}

Request parameters

ParameterRequiredTypeDescription
idsYesStringThe unique ID(s) of Onsite Proxy instance(s).
Note:
  • You can query instance ID using Search Specific Onsite Proxy Instances.
  • Use a comma to separate multiple IDs.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note: You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
dataArray<Proxy_DetailInfo>The detailed information of each Onsite Proxy instance.

Proxy_DetailInfo

ParameterTypeDescription
idIntegerThe instance ID.
uuidStringThe instance UUID.
nameStringThe instance name.
platformStringThe operating system where the instance is deployed.
versionStringThe instance version.
intranet_ipStringThe private IP address of the instance.
public_ipStringThe public IP address of the instance.
intranet_portIntegerThe internal port of the instance.
audio_rtp_passthroughIntegerWhether the Audio RTP Passthrough feature is enabled.
  • 0: Disabled
  • 1: Enabled
statusStringThe connection status between the PBX and the instance.
  • connected: The instance is normally connected to the PBX.
  • disconnected: The instance is disconnected from the PBX.
  • abnormal: The system resources utilization for the instance has exceeded any if the following thresholds:

    • The CPU utilization exceeds 85%.
    • The memory utilization exceeds 85%.
    • The disk utilization exceeds 95%.
status_update_timeIntegerThe timestamp when the connection status was last updated.
phone_countIntegerThe total number of associated IP phones, including those auto-discovered via PnP by the instance and others configured to register via the instance.
online_phone_countIntegerThe number of associated IP phones successfully registered with PBX extensions via the instance.
last_report_timeIntegerThe timestamp when the instance last reported data to the PBX.
cpu_usageNumberThe CPU utilization for the instance.
memory_usageNumberThe memory utilization for the instance.
disk_usageNumberThe disk utilization for the instance.
create_timeIntegerThe timestamp when the instance was created.
update_timeIntegerThe timestamp of the last update to the instance data, excluding phone count and online phone count changes.
secret_key_activatedIntegerWhether the secret key is activated.
  • 0: Unactivated
  • 1: Activated
connection_addressStringThe connection address of the PBX server.

Examples

Request example

Query the detailed information of Onsite Proxy instances (ID: 24 & 56).

GET /openapi/v1.0/onsiteproxy/query?ids=24,56&access_token=mZFtXNfGBlo6gR9FR8Tjz0iDJRqCe3RL HTTP/1.1
Host: 192.168.5.150:8088

Response example

HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"id": 24,
"uuid": "80XXX-XXXX-XXXX-XXXX-XXXXXXXXXca4",
"name": "Proxy_010",
"platform": "linux",
"version": "99.0.0.9",
"intranet_ip": "172.17.0.42",
"public_ip": "192.0.2.12",
"intranet_port": 5060,
"audio_rtp_passthrough": 1,
"status": "disconnected",
"status_update_time": 1772604748,
"phone_count": 5,
"online_phone_count": 0,
"last_report_time": 1772610988,
"cpu_usage": 1.3360221,
"memory_usage": 37.36399,
"disk_usage": 52.64806,
"create_time": 1769753209,
"update_time": 1772422881,
"secret_key_activated": 1,
"connection_address": "198.51.100.10"
},
{
"id": 56,
"uuid": "a1XXX-XXXX-XXXX-XXXX-XXXXXXXXX9cf",
"name": "Proxy_042",
"platform": "linux",
"version": "99.0.0.9",
"intranet_ip": "172.17.0.10",
"public_ip": "192.0.2.17",
"intranet_port": 5060,
"audio_rtp_passthrough": 1,
"status": "disconnected",
"status_update_time": 1772604748,
"phone_count": 0,
"online_phone_count": 0,
"last_report_time": 1772611006,
"cpu_usage": 1.6509137,
"memory_usage": 37.374653,
"disk_usage": 52.64812,
"create_time": 1769753211,
"update_time": 1772422967,
"secret_key_activated": 1,
"connection_address": "198.51.100.10"
}
]
}
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app